# net\_listening

Returns `true` if client is actively listening for network connections.

This method will use `10` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#net_listening)

## **Parameters**

`None`

## **Returns**

`Boolean` - `true` when listening, otherwise `false`.

```bash
// Result
{
  "id":67,
  "jsonrpc":"2.0",
  "result":true
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.somnia.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"net_listening","params":[],"id":67}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.somnia.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"net_listening","params":[],"id":67}'

```

{% endtab %}
{% endtabs %}
